about summary refs log tree commit diff
path: root/editor/pnmmargin
diff options
context:
space:
mode:
Diffstat (limited to 'editor/pnmmargin')
-rwxr-xr-xeditor/pnmmargin6
1 files changed, 2 insertions, 4 deletions
diff --git a/editor/pnmmargin b/editor/pnmmargin
index 9950bdcb..f7c30b25 100755
--- a/editor/pnmmargin
+++ b/editor/pnmmargin
@@ -11,11 +11,9 @@
 # documentation.  This software is provided "as is" without express or
 # implied warranty.
 
-oldumask=$(umask)
-umask 0077
 tempdir="${TMPDIR-/tmp}/pnmmargin.$$"
-mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;}
-umask $oldumask
+mkdir -m 0700 $tempdir || \
+  { echo "Could not create temporary file. Exiting."; exit 1;}
 trap 'rm -rf $tempdir' 0 1 3 15
 
 tmp1=$tempdir/pnmm1